Package org.eclipse.mat.query

# Interface IDecorator

All Known Implementing Classes:
  `DuplicatedClassesQuery`, `ObjectListResult.Inbound`, `ObjectListResult.Outbound`, `Path2GCRootsQuery.Tree`

public interface IDecorator
Used for rows of reports

## Method Summary

Modifier and Type
Method
Description
`String`
`prefix(Object row)`
Add before the object for example <local>
`String`
`suffix(Object row)`
Add after the object

## Method Details

### prefix

String prefix(Object row)
Add before the object for example <local>

Parameters:
  `row` - used to find the row
Returns:
  the prefix or null

### suffix

String suffix(Object row)
Add after the object

Parameters:
  `row` - used to find the row
Returns:
  the suffix or null